Uploaded image for project: 'Node.js Driver'
  1. Node.js Driver
  2. NODE-1500

deprecate js-bson 1.x, and bson-ext 1.x

    XMLWordPrintable

Details

    • Task
    • Status: Backlog
    • Major - P3
    • Resolution: Unresolved
    • None
    • None
    • BSON, Core, Native
    • None

    Description

      We have 4.x changes for bson, and 2.x changes for bson-ext, let's depend on them in the drivers and make large deprecation notices for users.

      Let's also make sure that core and native use the latest versions of js-bson, bson-ext, and mongodb-extjson

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              matt.broadstone@mongodb.com Matt Broadstone
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated: